---
name: Bug report
about: Create a report to help us improve
title: ''
labels: triage
assignees: ''

---

<!--

*** ATTENTION ***

YOU MUST READ THIS TO HAVE YOUR ISSUE ADDRESSED

PLEASE READ AND FILL OUT THIS TEMPLATE

NEGLECTING TO PROVIDE INFORMATION REQUESTED HERE WILL RESULT IN
SIGNIFICANT DELAYS ADDRESSING YOUR ISSUE

ALWAYS PROVIDE:
- FRR VERSION
- OPERATING SYSTEM VERSION
- KERNEL VERSION

FAILURE TO PROVIDE THIS MAY RESULT IN YOUR ISSUE BEING IGNORED

FOLLOW THESE GUIDELINES:

- When reporting a crash, provide a backtrace
- When pasting configs, logs, shell output, backtraces, and other large chunks
  of text, surround this text with triple backtics

  ```
  like this
  ```

- Include the FRR version; if you built from Git, please provide the commit
  hash
- Write your issue in English

-->

---------------

**Describe the bug**
<!--
A clear and concise description of what the bug is.

Put "x" in "[ ]" if you already tried following:
-->

- [ ] Did you check if this is a duplicate issue?
- [ ] Did you test it on the latest FRRouting/frr master branch?


**To Reproduce**
<!--
Describe the steps to reproduce the behavior.
Be as descriptive as possible.

For example:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error
-->

**Expected behavior**
<!--
Write here a clear and concise description of what you expected to happen when
using the reproduction steps you provided above
-->

**Screenshots**
<!--
If applicable, add screenshots to help explain your problem.
-->

**Versions**
<!--
Include your operating system type and version here

FAILURE TO PROVIDE THIS MAY RESULT IN YOUR ISSUE BEING IGNORED
-->
<!-- e.g. Fedora 24, Debian 10] -->
 - OS Version:
<!-- [e.g. Linux 5.4, OpenBSD 6.6] -->
 - Kernel:
<!-- e.g. 6.0, 7.4 -->
 - FRR Version:

**Additional context**
<!--
Add any other context about the problem here.
-->
